Sunday, July 23, 2017

npm start errors

i dont think angular has much hope . with so many errors how secure is angular?

https://angular.io/tutorial/toh-pt1

npm start

 Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue

There are TOO many dependencies in angular which keeps breaking. 


We updated all our dependencies and now using minimatch ^3.0.2 (look at this F**. no solution just closes the thread. This is why thse guys are such f***)

https://github.com/babel/babel/issues/4360

npm install minimatch@3.0.2 --save-dev
https://github.com/npm/npm/issues/13525
npm notice created a lockfile as package-lock.json. You should commit this file.
+ minimatch@3.0.2

npm ERR! code EINTEGRITY
npm ERR! sha1-QMfm6eXaeWG3cYtVUF+crJSHpgc= integrity checksum failed when using sha1: wanted sha1-QMfm6eXaeWG3cYtVUF+crJSHpgc= but got sha1-NuI7Ftb+5IxA4rGI4YOOi4RcqJc=. (32240 bytes)

No comments:

Post a Comment